Bug 731397 - Missing deps for fpaste-server
Summary: Missing deps for fpaste-server
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fpaste-server
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clint Savage
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 14:11 UTC by David Riches
Modified: 2011-08-17 15:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 15:51:09 UTC


Attachments (Terms of Use)

Description David Riches 2011-08-17 14:11:18 UTC
Description of problem:

try to install fpaste-server on a clean el5 box.


Version-Release number of selected component (if applicable):

fpaste-server-0.1-3.el5
2.6.18-238.el5xen
CentOS release 5.6 (Final)



How reproducible:

every time

Steps to Reproduce:
1. Clean Centos5.6 install
2. Enable EPEL
3. Yum install fpaste-server
  
Actual results:

Errors due to the following missing deps:

mod_wsgi-3.2-1.el5.x86_64
python-psycopg2-2.0.14-1.el5.x86_64

Comment 1 Clint Savage 2011-08-17 15:51:09 UTC
Kind of seems like I need to write some simple documentation explaining this one.

mod_wsgi and python-psycopg2 are optional to this process. These packages are just recommendations. However, apache httpd and mod_wsgi could be replaced easily with nginx and fcgi, for instance. And the python postgresql libs could be replaced by the once for mysql or sqlite.

So please install these packages separately.

Cheers,

Clint


Note You need to log in before you can comment on or make changes to this bug.